package com.develop.common.dialog

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.develop.base.mvvm.FullScreenTransparentDialog
import com.develop.common.databinding.DialogDownloadFailureBinding


class DownloadFailedDialog: FullScreenTransparentDialog() {

    private lateinit var binding: DialogDownloadFailureBinding

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        binding = DialogDownloadFailureBinding.inflate(
            inflater, container, false
        )
        binding.tvOk.setOnClickListener {
            removeSelf()
        }
        return binding.root
    }

}